Jump to content
The simFlight Network Forums

FSC9.7 and Prepar3dv4.2 (MERGED THREADS)


Recommended Posts

This is what's happening.... FSC9.7 needs FSUIPC5 it won't work with FSUIPC4 (or it Won't connect with Prepar3dv4.2)
Prepar3DV4.2 needs FSUIPC4 it won't work with FSUIPC5 ( It bogs right down to an  almost freeze)

Pete what I did to get FSC9.7 to work was to rename the FSUIPC5.dll file to FSUIPC5.dllX and FSC9.7 works...... BUT ! now prepar3dv4.2 gets all screwed up with the rudder and controls and almost freezes up it gets so slow.  Now to be able to run Prepar3dV4.2 I have to rename FSUIPC.dllX back to FSUIPS.dll and prepar3dv4.2 works again...... BUT FSC9.7 will now be unable to connect to Prepar3dv4.2 becsause it needs FSUIPC4. Hope your with me on this. Because I love FSUIPC, I love FSC9.7 and I love Prepar3DV4.2. So I am kind of stuck unless your can help me on this. I am pretty sure your the man Pete on this one. 

Thanks for your help. Walt

So hopefully Aerosoft, and Lockheed Martin and Pete Dawson can work this out. Unless someone on here has a solution. I always run FSC with my flightsim so I'm kind of stuck on this one.

Link to comment
Share on other sites

Pete here's what's in  my Prepar3Dv4 MODULES

FSUIPC DOCUMENTS

FSUIPC4.DLL

FSUIPC5 INSTALL

FSUIPC5.DLL   (I rename this one to FSUIPC5.dllX in order to make FSC9.7 work. "so it can connect to Prepar3DV4.2" BUT when I do FSC9 works but  Prepar3DV4.2 gets screwed up"

FSUIPC5

FSUIPC5.joyScan

FSUIPC5      key

FSUIPC5     text

FSUIPC5_prev 

MV_WXM.dll

Link to comment
Share on other sites

Hi,

there is no really information in what you write. Please attach or copy and paste the FULL content of the FSUIPC5.log (it's a text file) to your message.

Quote

FSUIPC5.DLL   (I rename this one to FSUIPC5.dllX in order to make FSC9.7 work. "so it can connect to Prepar3DV4.2" BUT when I do FSC9 works but  Prepar3DV4.2 gets screwed up"

Also by saying that you might be better of at FSC support as when you disable FSUIPC it is not involved at all.

Thomas

Link to comment
Share on other sites

Hi,

1 hour ago, walt642 said:

This is what's happening.... FSC9.7 needs FSUIPC5 it won't work with FSUIPC4 (or it Won't connect with Prepar3dv4.2)
Prepar3DV4.2 needs FSUIPC4 it won't work with FSUIPC5 ( It bogs right down to an  almost freeze)

Pete what I did to get FSC9.7 to work was to rename the FSUIPC5.dll file to FSUIPC5.dllX and FSC9.7 works...... BUT ! now prepar3dv4.2 gets all screwed up with the rudder and controls and almost freezes up it gets so slow.  Now to be able to run Prepar3dV4.2 I have to rename FSUIPC.dllX back to FSUIPS.dll and prepar3dv4.2 works again...... BUT FSC9.7 will now be unable to connect to Prepar3dv4.2 becsause it needs FSUIPC4. Hope your with me on this. Because I love FSUIPC, I love FSC9.7 and I love Prepar3DV4.2. So I am kind of stuck unless your can help me on this. I am pretty sure your the man Pete on this one. 

Thanks for your help. Walt

So hopefully Aerosoft, and Lockheed Martin and Pete Dawson can work this out. Unless someone on here has a solution. I always run FSC with my flightsim so I'm kind of stuck on this one.

P3Dv4.x needs FSUIPC5.124.  FSUIPC4 is for FSX and P3Dv3 only. There is nothing that says FSC9.x would be compatible with P3Dv4 but it is clearly said that FSC10 is NOT compatible with P3D at all.

It sounds like your problem is the compatibility of FSC with P3Dv4.

Thomas

 

Link to comment
Share on other sites

Hi,

in the system requirements you list is P3D not listed and P3Dv3 is mostly equivalent to FSX/ FSX-SE but P3Dv4 is completely different. As FSC connects via SimConnect to FS, the problem might be you don't have a compatible SimConnect install. May be rerun the installer for FSX versions from redist folder.

Thomas

Link to comment
Share on other sites

On ‎3‎/‎2‎/‎2018 at 7:32 PM, Pete Dowson said:

You need to contact FSC support. I also note from the L-M support forum that 'Martyson' is using FSX97 + FSUIPC5 + P3D4 with no problems, so I think you have some local configuration problem with FSC.

Pete

 

You were right Pete, I had to reinstall it again. It was my fault with Flight Sim Commander. Installed some file in the wrong location. Thank you for your help though. 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.